Subject: Re: [v3,1/8] powerpc: Create a helper for getting the kernel toc value

From: Michael Ellerman <[email-masked]>
Date: Wed, 16 Mar 2016 21:23:19 +1100

On Tue, 2016-03-15 at 02:27 +0100, Jiri Kosina wrote:
> On Mon, 14 Mar 2016, Michael Ellerman wrote:
>
> > > Move the logic to work out the kernel toc pointer into a header. This is
> > > a good cleanup, and also means we can use it elsewhere in future.
> > >
> > > Reviewed-by: Kamalesh Babulal <[email-masked]>
> > > Reviewed-by: Torsten Duwe <[email-masked]>
> > > Signed-off-by: Michael Ellerman <[email-masked]>
> > > Tested-by: Kamalesh Babulal <[email-masked]>
> >
> > Series applied to powerpc next.
> >
> > https://git.kernel.org/powerpc/c/a5cab83cd3d2d75d3893276cb5
>
> Thanks Michael; this is an excellent basis for ppc live patching, but FYI
> I am not merging that one to my tree just yet.

Yeah OK.

> The solution (*) for functions with non-trivial argument list is not there
> yet, and it's my requirement for this to be taken care of in a way that's
> not prone to easily-done human errors on the patch-producer side.

Sure. I'll try and get something working, though this merge window is not
starting well so I may not get time for a few weeks :)

cheers